#
# spec file for package retroarch-assets
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           retroarch-assets
Version:        0~git20200505
Release:        lp152.1.1
Summary:        RetroArch Assets
License:        CC-BY-4.0
Group:          System/Emulators/Other
URL:            https://github.com/libretro/retroarch-assets

Source:         %{name}-%{version}.tar.xz

BuildRequires:  fdupes
BuildRequires:  google-droid-fonts
BuildRequires:  make
BuildArch:      noarch

Requires:       google-droid-fonts
Requires:       retroarch

%description
Assets needed for RetroArch - e.g. menu drivers, etc. Also contains the official branding.

%prep
%setup -q

%build

%install
%make_install
%fdupes -s %{buildroot}

# Use Droid Sans Fallback because the RetroArch font doesn't support Chinese and Korean
rm %{buildroot}%{_datadir}/libretro/assets/xmb/monochrome/font.ttf
ln -s %{_datadir}/fonts/truetype/DroidSansFallbackFull.ttf %{buildroot}%{_datadir}/libretro/assets/xmb/monochrome/font.ttf

%files
%license COPYING
%dir %{_datadir}/libretro
%{_datadir}/libretro/assets

%changelog
* Thu May  7 2020 i@guoyunhe.me
- Update to version 0~git20200505:
  * Added GLUI Source Files
  * (Ozone) Fix blurry checkmark icons
  * Rename to Match RDB, Updated Retroactive & Neoactive Continued
  * Rename to Match RDB, Updated Retroactive & Neoactive
  * (Ozone) Fix blurry sidebar icons
  * Updates for Automatic or Systematic
* Thu Mar 26 2020 i@guoyunhe.me
- Update to version 0~git20200326:
  * (Ozone) Strip metadata from PNG files
  * (menu_widgets) Ensure PNG files have white transparent pixels
  * (XMB/Ozone Monochrome) Update 'export' scripts to ensure white transparent pixels + regenerate assets
  * (GLUI) Strip PNG metadata
  * GLUI icon fixes
  * (Ozone) Ensure all assets have 'white' transparent pixels
  * Added Quake 2 & 3 icons, Updated Quake
  * Added Quake 2 & 3 icons
  * Added Quake 2 & 3 icons, Updated Quake
  * Added Quake, Quake 2 & Quake 3 icons
  * Added Quake 2 & 3 icons, Updated Quake
  * Added Quake 2 & 3 icons, Updated Quake
  * Added Quake, Quake 2 & Quake 3 icons
  * Added Quake, Quake 2 & 3 icons
  * Added Quake 2 & 3 icons, Updated Quake
  * Added Quake 2 & 3 icons
  * Added Quake 2 & 3 icons, Updated Quake
  * Added Quake 2 & 3 icons, Updated Quake
  * Added Quake 2 & 3 icons, Updated Quake
  * Added Quake 2 & 3 icons, Updated Quake
  * Added Quake, Quake 2 & Quake 3 icons
  * Added Quake, Quake 2 & Quake 3 core icons
  * Added Quake 2 & 3 icons, Updated Quake
  * Added Quake trilogy banners
  * Added Quake 2 & Quake 3 icons, refined Quake icon
  * (Ozone) Add assets for 'Nord' and 'Gruvbox Dark' themes
* Fri Jan  3 2020 i@guoyunhe.me
- Update to version 0~git20191031:
  * (GLUI) Add 'switch thumbnail view' icon
  * Added new backgrounds + renamed in accordance with DATs and thumbs
  * (GLUI) Add navigation bar icons
  * (GLUI) Material UI icons update
  * Updated Setting & Subsetting Icons, Retroactive Additions
- Replace built-in fonts with Droid Sans Fallback to support Chinese
  and Korean characters
* Sat Sep 21 2019 i@guoyunhe.me
- Update to version 0~git20190824:
  * Fix +x permissions of scripts
  * (Ozone) add disc.png
  * Add disc.png
  * New Icons for Automatic & Systematic
  * Update Lines.cfg
  * RGUI Theme
  * rgui: Add Sweetie-16 RGUI theme
  * TIC-80 Icons
  * Remove Nintendo - DS Decrypted
* Sat Sep 21 2019 Yunhe Guo <i@guoyunhe.me>
- Initial version from Git
